/*
 * popup.h
 *
 * Popup window.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: popup.h,v $
 * Revision 1.6  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.5  1998/11/30 03:00:19  robertj
 * New directory structure
 *
 * Revision 1.4  1998/09/24 03:41:24  robertj
 * Added open software license.
 *
 * Revision 1.3  1996/08/08 10:10:25  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.2  1995/11/09 12:25:56  robertj
 * Moved window style bits to member variable.
 *
 * Revision 1.1  1995/08/01 21:43:55  robertj
 * Initial revision
 *
 */

#ifndef _PPOPUP

///////////////////////////////////////////////////////////////////////////////
// PPopUp

#define _PPOPUP_PLATFORM_INCLUDE
#include "../../popup.h"

#endif
#ifdef _PPOPUP_PLATFORM_INCLUDE
#undef _PPOPUP_PLATFORM_INCLUDE

  protected:
    // Overrides from class PInteractor
    virtual void GetCreateWinInfo(WNDCLASS & wndClass);
      // Return the info required by CreateWindow() and RegisterClass().

    virtual void WndProc();
      // Event handler for this interactor. Translates MS-Windows messages into
      // virtual member function calls.

#endif


// End Of File ///////////////////////////////////////////////////////////////
