/*
 * slistbox.h
 *
 * String list box control.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: slistbox.h,v $
 * Revision 1.10  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.9  1999/11/16 06:51:41  robertj
 * Created PCustomListBox to allow motif native code PStringListBox implementation
 *
 * Revision 1.8  1998/11/30 03:00:29  robertj
 * New directory structure
 *
 * Revision 1.7  1998/09/24 03:42:06  robertj
 * Added open software license.
 *
 * Revision 1.6  1998/09/14 13:02:50  robertj
 * Fixed memory leak on delete of PStringList, not deleting all its contents.
 *
 * Revision 1.5  1996/08/08 10:10:44  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.4  1995/11/09 12:26:01  robertj
 * Moved window style bits to member variable.
 *
 * Revision 1.3  1995/04/02 09:27:58  robertj
 * Added "balloon" help.
 *
 * Revision 1.2  1994/06/25 11:55:15  robertj
 * Unix version synchronisation.
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */

#ifndef _PSTRINGLISTBOX

///////////////////////////////////////////////////////////////////////////////
// PStringListBox

#define _PSTRINGLISTBOX_PLATFORM_INCLUDE
#include "../../slistbox.h"

#endif
#ifdef _PSTRINGLISTBOX_PLATFORM_INCLUDE
#undef _PSTRINGLISTBOX_PLATFORM_INCLUDE

    // Overrides from class PInteractor
    virtual void GetCreateWinInfo(WNDCLASS & wndClass);
      // Return the info required by CreateWindow() and RegisterClass().

#endif


// End Of File ///////////////////////////////////////////////////////////////
