/*
 * stdres.h
 *
 * Standard resource values.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: stdres.h,v $
 * Revision 1.2  1998/09/24 03:42:16  robertj
 * Added open software license.
 *
 * Revision 1.1  1994/04/01 14:27:01  robertj
 * Initial revision
 *
 */


// Standard Platform Dependedant Resources.

#define PSTD_STR_FILE_MENU          "&File"

#define PSTD_STR_NEW_MENU           "&New"
#define PSTD_STR_NEW_ACCEL          "Ctrl+N"

#define PSTD_STR_OPEN_MENU          "&Open..."
#define PSTD_STR_OPEN_ACCEL         "Ctrl+O"

#define PSTD_STR_CLOSE_MENU         "&Close"
#define PSTD_STR_CLOSE_ACCEL        "Ctrl+W"

#define PSTD_STR_SAVE_MENU          "&Save"
#define PSTD_STR_SAVE_ACCEL         "Ctrl+S"

#define PSTD_STR_SAVE_AS_MENU       "Save &As..."

#define PSTD_STR_PRINT_MENU         "&Print..."
#define PSTD_STR_PRINT_ACCEL        "Ctrl+P"

#define PSTD_STR_PRINTER_SETUP_MENU "P&rinter Setup..."

#define PSTD_STR_EXIT_MENU          "E&xit"
#define PSTD_STR_EXIT_ACCEL         "Alt+F4"


#define PSTD_STR_EDIT_MENU          "&Edit"

#define PSTD_STR_UNDO_MENU          "&Undo"
#define PSTD_STR_UNDO_ACCEL1        "Alt+BkSp"
#define PSTD_STR_UNDO_ACCEL2        "Ctrl+Z"

#define PSTD_STR_CUT_MENU           "Cu&t"
#define PSTD_STR_CUT_ACCEL1         "Shift+Del"
#define PSTD_STR_CUT_ACCEL2         "Ctrl+X"

#define PSTD_STR_COPY_MENU          "&Copy"
#define PSTD_STR_COPY_ACCEL1        "Ctrl+Ins"
#define PSTD_STR_COPY_ACCEL2        "Ctrl+C"

#define PSTD_STR_PASTE_MENU         "&Paste"
#define PSTD_STR_PASTE_ACCEL1       "Shift+Ins"
#define PSTD_STR_PASTE_ACCEL2       "Ctrl+Z"

#define PSTD_STR_CLEAR_MENU         "Delete"
#define PSTD_STR_CLEAR_ACCEL1       "Del"
#define PSTD_STR_CLEAR_ACCEL2       "BkSp"


// End of File ////////////////////////////////////////////////////////////////
