/*
 * rbutton.h
 *
 * Radio button control.
 *
 * Portable Windows Library
 *
 * Copyright (c) 1993-1998 Equivalence Pty. Ltd.
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Portions are Copyright (C) 1993 Free Software Foundation, Inc.
 * All Rights Reserved.
 *
 * Contributor(s): ______________________________________.
 *
 * $Log: rbutton.h,v $
 * Revision 1.9  2001/05/22 12:49:33  robertj
 * Did some seriously wierd rewrite of platform headers to eliminate the
 *   stupid GNU compiler warning about braces not matching.
 *
 * Revision 1.8  1998/11/30 03:00:22  robertj
 * New directory structure
 *
 * Revision 1.7  1998/09/24 03:41:40  robertj
 * Added open software license.
 *
 * Revision 1.6  1998/09/21 13:30:59  robertj
 * Changes to support new PListView class. Different call back method.
 *
 * Revision 1.5  1996/08/08 10:10:31  robertj
 * Directory structure changes for common files.
 *
 * Revision 1.4  1995/11/09 12:25:58  robertj
 * Moved window style bits to member variable.
 *
 * Revision 1.3  1995/04/02 09:27:55  robertj
 * Added "balloon" help.
 *
 * Revision 1.2  1994/07/17 10:46:06  robertj
 * Enhancements, bug fixes etc.
 *
 * Revision 1.1  1994/04/12  08:21:52  robertj
 * Initial revision
 *
 */

#ifndef _PRADIOBUTTON

///////////////////////////////////////////////////////////////////////////////
// PRadioButton

#define _PRADIOBUTTON_PLATFORM_INCLUDE
#include "../../rbutton.h"

#endif
#ifdef _PRADIOBUTTON_PLATFORM_INCLUDE
#undef _PRADIOBUTTON_PLATFORM_INCLUDE

  protected:
    // Overrides from class PInteractor
    virtual void GetCreateWinInfo(WNDCLASS & wndClass);
      // Return the info required by CreateWindow() and RegisterClass().

    virtual int TranslateOption(NMHDR & msg) const;
      // Translate the windows notification message code to the PWLib
      // notify function code. This returns -1 if the windows message is to be
      // ignored.

#endif


// End Of File ///////////////////////////////////////////////////////////////
